27.12.2017

Anaconda'da psutil.AccessDenied (pid=607) hatası

Çok sıkı bir Anaconda ürünü kullanıcısı olarak geçenlerde aşağıdaki şekilde bir hata aldım ve nedeni hakkında hiç fikrim yoktu. Aslında çok basit olan bu hatanın çözümü de bir hayli basitmiş. Bunu sizlerle paylaşmak istedim.Anaconda üzerinde şu şekilde bir hata alıyorsanız;
Traceback (most recent call last):
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/_psosx.py", line 293, in wrapper
    return fun(self, *args, **kwargs)
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/_psosx.py", line 356, in cmdline
    return cext.proc_cmdline(self.pid)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/anaconda_navigator/exceptions.py", line 75, in exception_handler
    return_value = func(*args, **kwargs)
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/anaconda_navigator/app/start.py", line 108, in start_app
    if misc.load_pid() is None:  # A stale lock might be around
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/anaconda_navigator/utils/misc.py", line 384, in load_pid
    cmds = process.cmdline()
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/__init__.py", line 701, in cmdline
    return self._proc.cmdline()
  File "/Users/deanimal77/anaconda/lib/python3.6/site-packages/psutil/_psosx.py", line 306, in wrapper
    raise AccessDenied(self.pid, self._name)
psutil.AccessDenied: psutil.AccessDenied (pid=607)
Bu hatanın nedeni uzun süredir Anaconda'yı restart etmediğinizden dolayı alınan bir hata.
Bunun için;
$ anaconda-navigator --reset 
komutu çalıştırmanız sizler için yeterli olacaktır.

Ek olarak Anaconda'yı da arada update etmenizi öneririm.
$ conda update anaconda-navigator


Hiç yorum yok:

Yorum Gönderme